Package org.apache.groovy.contracts.domain

# Class Assertion<T extends Assertion>

java.lang.Object
org.apache.groovy.contracts.domain.Assertion<T>

Type Parameters:
  `T` -

Direct Known Subclasses:
  `ClassInvariant`, `Postcondition`, `Precondition`

public abstract class Assertion<T extends Assertion> extends Object

Base class for all assertion types.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Assertion()`
  `Assertion(BlockStatement blockStatement, BooleanExpression booleanExpression)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `and(T other)`
  `BooleanExpression`
  `booleanExpression()`
  `void`
  `or(T other)`
  `BlockStatement`
  `originalBlockStatement()`
  `void`
  `renew(BooleanExpression booleanExpression)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Assertion

    public Assertion()

  - ### Assertion

    public Assertion(BlockStatement blockStatement, BooleanExpression booleanExpression)

- ## Method Details

  - ### booleanExpression

    public BooleanExpression booleanExpression()

  - ### originalBlockStatement

    public BlockStatement originalBlockStatement()

  - ### renew

    public void renew(BooleanExpression booleanExpression)

  - ### and

    public void and(T other)

  - ### or

    public void or(T other)